gmp_sqrtrem
gmp_sub
GMP Functions
PHP Manual

# gmp_strval

(PHP 4 >= 4.0.4, PHP 5)

gmp_strval — Convert GMP number to string

### Description

string gmp_strval ( resource `$gmpnumber` [, int `$base` ] )

Convert GMP number to string representation in base `base` . The default base is 10.

### Parameters

`gmpnumber`

  The GMP number that will be converted to a string.

  It can be either a GMP number resource, or a numeric string given that it is possible to convert the latter to a number.

`base`

  The base of the returned number. The default base is 10. Allowed values for the base are from 2 to 36.

### Return Values

The number, as a string.

### Examples

Example #1 Converting a GMP number to a string

`<?php
$a = gmp_init("0x41682179fbf5");
printf("Decimal: %s, 36-based: %s", gmp_strval($a), gmp_strval($a,36));
?>`

gmp_sqrtrem
gmp_sub
GMP Functions
PHP Manual